Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 386751 - dev-lang/perl-5.12.4-r1: 2 files left after upgrade and "perl-cleaner --all"
Summary: dev-lang/perl-5.12.4-r1: 2 files left after upgrade and "perl-cleaner --all"
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal trivial (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-11 09:48 UTC by Toralf Förster
Modified: 2014-09-27 17:49 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2011-10-11 09:48:33 UTC
These 2 files are left :

/usr/lib/perl5/5.12.3/i686-linux/Encode/ConfigLocal.pm
/usr/lib/perl5/vendor_perl/5.12.3/XML/SAX/ParserDetails.ini

"equery -b ..." lists no package for both.

Looks like a cosmetic issue, isn't it ?


Reproducible: Always
Comment 1 Torsten Veller (RETIRED) gentoo-dev 2011-10-16 07:43:38 UTC
Well, these files should be removed by the ebuilds. But I don't have a solution,
because the path depends on the perl version used while installing.

One idea is to move them to /etc/perl.
Comment 2 Martin Mokrejš 2012-03-17 14:15:14 UTC
I have the same "issue". I saw them reported by "perl-cleaner all". Because they were from old perl versions I removed them and upgraded perl. Now, they are back. Could perl-cleaner be made quiet in these cases?

# perl-cleaner all
# rm /usr/lib64/perl5/5.12.2/x86_64-linux-thread-multi/Encode/ConfigLocal.pm /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/Encode/ConfigLocal.pm /usr/lib64/perl5/5.8.8/x86_64-linux/Encode/ConfigLocal.pm /usr/lib64/perl5/vendor_perl/5.8.8/XML/SAX/ParserDetails.ini
# emerge -uN perl
[cut]
 * Linking /usr/share/man/man1/pod2man-2.3.1-perl-5.12.4.1.bz2 to /usr/share/man/man1/pod2man.1.bz2 (relative)
 * Linking /usr/bin/pod2text-2.3.1-perl-5.12.4 to /usr/bin/pod2text (relative)
 * Linking /usr/share/man/man1/pod2text-2.3.1-perl-5.12.4.1.bz2 to /usr/share/man/man1/pod2text.1.bz2 (relative)
 * Removing old .ph files
 * Generating ConfigLocal.pm (ignore any error) ...
 require Encode;
 require Encode::Unicode;
 require Encode::EBCDIC;
[cut]
 require Encode::JP::H2Z;
 require Encode::JP::JIS7;
Warning: something's wrong at /usr/bin/enc2xs line 1017.
/usr/lib64/perl5/5.12.4/Encode
/usr/lib64/perl5/vendor_perl/5.12.4/x86_64-linux-thread-multi/Encode
Generating /usr/lib64/perl5/vendor_perl/5.12.4/x86_64-linux-thread-multi/Encode/ConfigLocal.pm...
 * Converting C header files to the corresponding Perl format (ignore any error)
Can't open machine/ansi.h: No such file or directory
Can't open sys/_types.h: No such file or directory

 * Messages for package dev-lang/perl-5.12.4-r1:
Comment 3 Geoff Madden 2012-07-14 11:19:33 UTC
Hi there, I have a hassle in that the upgrade to 5.16 goes ok,but If I use perl-cleaner,it removes perl 5.16,or at least any any logs that it is on my system.
This isn't a one off problem ,it's happened to me on 3 occasions,on different machines and processors.   My work around at present is not to use perl-cleaner,but just reemerge the asked for modules as ebuild failure occurs.

could some one have a look at perl-cleaner and see what the problem is,and remedy same. as its a pain in the you know where.
Geoff
Comment 4 Torsten Veller (RETIRED) gentoo-dev 2012-07-14 17:16:36 UTC
(In reply to comment #3)
I don't see how your problem is related to this bugreport.

Please open your own bugreport! If you do, please add the output of perl-cleaner --all -p and also emerge --info. Then we can try to help.
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-01-19 20:10:21 UTC
Can you please reproduce this bug for perl-5.16 (current stable). If so, please reopen bug.
Comment 6 Toralf Förster gentoo-dev 2014-01-19 20:38:42 UTC
fixed AFAICS
Comment 7 Garri 2014-09-27 16:24:34 UTC
Same problems for me on update from 5.18.2-r1 to perl-5.20.1. The /usr/lib64/perl5/vendor_perl/5.18.2/XML/SAX/ParserDetails.ini is left.
Comment 8 Garri 2014-09-27 16:36:00 UTC
The reporter of bug 509096 describes same problems. Thanks in advance!
Comment 9 Kent Fredric (IRC: kent\n) gentoo-dev 2014-09-27 17:49:28 UTC
https://bugs.gentoo.org/show_bug.cgi?id=509096#c8 This sugggests its invulnerable to what version of perl you use., and this is probably a partial dup of that bug.